Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3564 - ifconfig does not accept very small subnets (such as DSL)
Summary: ifconfig does not accept very small subnets (such as DSL)
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.0
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-18 09:59 UTC by Don Beusee
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-13 19:22:44 UTC


Attachments (Terms of Use)

Description Don Beusee 1999-06-18 09:59:31 UTC
I have a DSL service (Covad) which requires me to set the
subnet mask to a subnet having only 5 hosts:
gateway    : 152.68.6.249
subnet mask: 152.68.6.248
IP's to use: 152.68.6.<250-254>
Unfortunately Linux does not let me set the subnet mask to
the above value.  Solaris and Windows 98 do, and it works
fine on those OS's.

Comment 1 Michael K. Johnson 1999-07-13 19:22:59 UTC
Please try a subnet mask of 255.255.255.248
152.68.6.248 is not a valid subnet mask.


Note You need to log in before you can comment on or make changes to this bug.